/* Description: Primary stylesheet for Updated Portfolio */
/* Author: Jane Tiglao */

:root {
    --font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

body {
    display: flexbox;
    width: 100%;
    height: 100%;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    background-color:#000000;
}

/* Navbar */
.container {
    margin: 10px;
    height: 100%;
    width: 100%;
    background-color: aqua;
}

.navbar {
    margin-right: 10px;
    padding: 5px;
    overflow: hidden;
    background-color: #000000;
    float: left;
}

.navbar li {
    padding: 10px;
    float: right;
}

.navbar a {
    font-size: 20px;
    color:rgb(192, 247, 243)
}

/* Header */
p span {
    color: rgba(10, 150, 129, 0.768);
}

.title {
    margin-top: 5px;
    text-align: right;
    font-size: 40px;
    color:rgb(163, 181, 187)
}

.box {
    background-color: #000000;
}

/* Animated text */
.text {
    color: rgb(10, 191, 246);
    background: black;
    align-items: left;
    text-align: left;
    font-size: 110px;
    font-weight: bold;
    font-family: Arial;
    text-transform: uppercase;
    position: relative;
}

.text::before {
    content: 'hello';
    position: absolute;
    mix-blend-mode: difference;
    filter: blur(3px);
}

.neon-wrapper {
    position: absolute;
    top: 30%;
    left: 35%;
    transform: translate(-50%, -50%);
    display: inline-flex;
    filter: brightness(200%);
    overflow: hidden;
}

.gradient {
    background: linear-gradient(112.53245250420684deg, rgba(244, 72, 105,1) 21.771990740740737%,rgba(159, 1, 234,1) 69.3136574074074%);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100;
    mix-blend-mode: multiply;
}

.dodge {
    background: radial-gradient(circle,white,black 35%) center / 25% 25%;
    position: absolute;
    top: -100%;
    left: -100%;
    right: 0;
    bottom: 0;
    mix-blend-mode: color-dodge;
    animation: dodge-area 3s linear infinite;
}

@keyframes dodge-area {
    to {
        transform: translate(50%,50%);
    }
    
}

/* Recent photo/avatar */
.recent-photo img {
    display: inline-flexbox;
    padding: 30px;
    align-items: right;
    text-align: right;
    width: 70%;
    height: 40%;
    border-radius: 50px;
}

.text-box {
    box-sizing: border-box;
    margin-left: 40px;
    background-color: #000000;
    display: flex;
}
p {
    margin: 30px;
    padding: 20px;
    font-size: 18px;
    color: rgb(192, 247, 243);
}

/* Professional links */
.download-link {
    margin-top: 10px;
    margin-left: 30px;
    padding-right: 30px;
    display: flex;
}

.download-link a {
    color: rgb(9, 149, 140)
}

.icon-bar{
    display: flex;
    margin-left: 10px;
    margin-bottom: 30px;
    padding: 10px;
    width: 90%;
    height: auto;
    align-items: left;
    text-align: left;
    justify-content: left;
    list-style-type: none;
    background-color: #000000;
    display: flex;
}  

.icon-bar a {
    padding-left: 10px;
}

/* Main container for works */
h2 {
    margin: 20px;
    text-align: left;
    font-size: 30px;
    font-weight: 600;
    color: rgba(42, 212, 187, 0.768);
}

/* Small containers for homework */
.row {
    padding: 30px; 
}

.columns {
    margin: 10px;
}

.homework-name {
    padding: 10px;
    font-size: 25px;
    font-weight: 50;
    color: rgb(192, 247, 243);
}

.hw-box {
    width: 100%;
    height: 80%;
}

.hw-img {
    margin: 0;
    padding: 10px;
    width: 90%;
    height: 80%;
    align-items: center;
}

.hw-description {
    margin-top: 5px;
    font-size: 18px;
    text-align: justify;
}

#badges {
    margin-top: 10px;
    margin-left: 10px;
    align-items: center;
   
}


/* Big containers for Projects 1 & 2 */
.subtitle {
    margin: 20px;
    text-align: left;
    font-size: 30px;
    font-weight: 600;
    color: rgba(42, 212, 187, 0.768);
}

.project-name {
    margin-bottom: 10px;
    padding: 10px;
    font-size: 25px;
    font-weight: 50;
    text-align: center;
    color: rgb(192, 247, 243);
}

.project-box {
    box-sizing: border-box;
    background-color: #000000;
    margin: 10px;
    width: 100%;
    height: 70%;
    align-items: center;
}

.project-img {
    margin-left: 20%;
    width: 60%;
    height: 80%;
    align-items: center;
}

.project-description {
    text-align: justify;
    align-items: justify;
}

.proj-badges {
    margin-top: 10px;
    margin-left: 50px;
    align-items: center;
}

/* About Me */
.about-me {
    margin-bottom: 20px;
    padding: 5px;
    font-size: 18px;
    font-weight: bold;
    text-align: left;
    text-transform: uppercase;
    color: rgb(192, 247, 243);
}

.intro {
    margin-top: 30px;
    padding-top: 5px;
    text-align: justify;
    font-size: 20px;
    font-weight: 50;
    color: rgb(192, 247, 243);
}

.intro2 {
    margin-left: 40px;
    margin-right: 40px;
    padding: 5px;
    text-align: justify;
    font-size: 20px;
    font-weight: 50;
    color: rgb(192, 247, 243);
}


/* Contact Me */
.contact-me {
    margin-top: 40px;
    margin-bottom: 10px;
    padding: 0;
    font-size: 18px;
    font-weight: bold;
    text-align: left;
}

.phone {
    margin-left: 50px;
    text-align: left;
    font-size: 20px;
}

.phone a {
    color: rgb(192, 247, 243);
}

.email {
    margin-left: 50px;
    margin-bottom: 40px;
    text-align: left;
    font-size: 20px;
}

.email a {
    color: rgb(192, 247, 243);
}

/* Let's Get Social  */
.follow-me {
    margin-left: 20px;
}
.icon-bar2 {
    margin: 30px 0 10px 50px;
    padding: 5px;
    font-size: 18px;
    font-weight: bold;
    text-align: left;
}


/* Footer */
.footer {
    background-color: #000000;
    font-size: 12px;
    align-items: center;
    text-align: center;
    border-top: 1px solid #044b36;
    border-bottom: 1px solid #044b36;
}

.copyright {
    text-align: center;
}

.icons {
    text-align: center;
}

.button {
    margin-top: 60px;
    text-align: right;
    background-color: rgb(112, 187, 150);
    font-size: 12px;
    font-weight: bold;
}
